> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Validation Tasks

> List Validation Tasks



## OpenAPI

````yaml /api-reference/openapi.json get /validations/{validationId}/tasks
openapi: 3.1.0
info:
  title: Cradl API
  version: '2026-01-28T09:00:46Z'
servers:
  - url: https://api.cradl.ai/{basePath}
    variables:
      basePath:
        default: v1
security: []
paths:
  /validations/{validationId}/tasks:
    get:
      parameters:
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: nextToken
          schema:
            type: string
        - in: query
          name: maxResults
          schema:
            type: string
        - in: path
          name: validationId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationTasks'
          description: 200 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 400 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 403 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 404 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '415':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 415 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 500 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
      security:
        - OAuth2:
            - validations.tasks:read
components:
  schemas:
    ValidationTasks:
      title: tasks
      required:
        - nextToken
        - tasks
      type: object
      properties:
        nextToken:
          maxLength: 4096
          type: string
          nullable: true
        tasks:
          type: array
          items:
            required:
              - createdBy
              - createdTime
              - description
              - input
              - metadata
              - name
              - taskId
              - updatedBy
              - updatedTime
              - validationId
            type: object
            properties:
              updatedTime:
                pattern: >-
                  ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}(
                  |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
                type: string
                nullable: true
              metadata:
                type: object
                nullable: true
              validationId:
                pattern: ^cradl:validation:[a-f0-9]{32}$
                type: string
              updatedBy:
                maxLength: 4096
                type: string
                nullable: true
              warnings:
                type: array
                items:
                  type: string
                nullable: true
              description:
                maxLength: 4096
                type: string
                nullable: true
              history:
                type: array
                items:
                  type: object
              agentRunId:
                pattern: >-
                  ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:agent:[a-z0-9-_]+/cradl:run:[a-z0-9-_]+$
                type: string
                nullable: true
              enabled:
                type: boolean
              output:
                type: object
                nullable: true
              input:
                type: object
              createdBy:
                maxLength: 4096
                type: string
              name:
                maxLength: 4096
                type: string
                nullable: true
              createdTime:
                pattern: >-
                  ^[0-9]{4}-?[0-9]{2}-?[0-9]{2}(
                  |T)?[0-9]{2}:?[0-9]{2}:?[0-9]{2}(.[0-9]{1,6})?(Z|[+][0-9]{2}(:|)[0-9]{2})$
                type: string
              logId:
                pattern: ^(cradl|las):log:[a-f0-9]{32}$
                type: string
                nullable: true
              id:
                pattern: >-
                  ^((cradl|las):organization:[a-z0-9-_]+/)?cradl:validation:[a-z0-9-_]+/cradl:task:[a-z0-9-_]+$
                type: string
              taskId:
                pattern: ^cradl:task:[a-f0-9]{32}$
                type: string
              errors:
                type: array
                items:
                  type: string
                nullable: true
              status:
                type: string
                enum:
                  - ready
                  - in-progress
                  - succeeded
                  - failed
                  - cancelled
            additionalProperties: false
        status:
          type: array
          items:
            type: string
            enum:
              - ready
              - in-progress
              - succeeded
              - failed
              - cancelled
      additionalProperties: false
    Error:
      title: Error Schema
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.cradl.ai/oauth2/token
          scopes:
            actions.runs:read: Read permissions
            actions.runs:write: Write permissions
            actions:read: Read permissions
            actions:write: Write permissions
            agents.runs:read: Read permissions
            agents.runs:write: Write permissions
            agents.statistics:read: Read permissions
            agents:read: Read permissions
            agents:write: Write permissions
            appclients:read: Read permissions
            appclients:write: Write permissions
            documents:read: Read permissions
            documents:write: Write permissions
            hooks.runs:read: Read permissions
            hooks.runs:write: Write permissions
            hooks:read: Read permissions
            hooks:write: Write permissions
            logs:read: Read permissions
            models:read: Read permissions
            models:write: Write permissions
            organizations:read: Read permissions
            organizations:write: Write permissions
            predictions:read: Read permissions
            predictions:write: Write permissions
            users:read: Read permissions
            users:write: Write permissions
            validations.tasks:read: Read permissions
            validations.tasks:write: Write permissions
            validations:read: Read permissions
            validations:write: Write permissions
            workflows:read: Read permissions
            workflows:write: Write permissions

````